MCP Gateway
ApiRegistry credentials

Create or update registry credential

Create or update a registry credential. Only one credential per registry type is allowed; existing credentials are updated.

POST
/api/v1/settings/registry-credentials

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/settings/registry-credentials" \  -H "Content-Type: application/json" \  -d '{    "registry_type": "docker_hub",    "credential": "string"  }'
{
  "id": "string",
  "registry_type": "docker_hub",
  "username": "string",
  "credential_masked": "string",
  "credential_type": "password",
  "is_enabled": true,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}